Bug 1024985 - error: error unpacking of archive failed with spice-server-0.12.0-12.el6_4.5.x86_64
error: error unpacking of archive failed with spice-server-0.12.0-12.el6_4.5....
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-server (Show other bugs)
6.4
Unspecified Linux
unspecified Severity high
: rc
: ---
Assigned To: Default Assignee for SPICE Bugs
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 13:21 EDT by Kay Williams
Modified: 2014-05-02 07:52 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-21 19:26:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kay Williams 2013-10-30 13:21:19 EDT
Description of problem:
With the latest release of spice-server. an error occurs installing or updating the package. The complete error is:

Error unpacking of archive failed on file /usr/lib64/libspice-server.so.1.5.0;xxxxxxxx: cpio: read failed - resource temporarily unavailable

In the test environment, the package is being installed/updated to a libvirt based virtual machine. No testing has been done on a physical machine.

Version-Release number of selected component (if applicable):
spice-server-0.12.0-12.el6_4.5.x86_64.rpm

How reproducible:
Always

Steps to Reproduce:
1a. Install a clean system using virt-install. Specify only the core group and spice-server package.
1b. Anaconda fails during installation of the spice-server package.

2a. On an existing virtual machine (created using virt-install). Attempt to perform yum update
2b. Yum fails during update of spice server package.
Comment 2 RHEL Product and Program Management 2013-11-02 14:44:54 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Marc-Andre Lureau 2014-02-21 10:42:50 EST
From
https://brewweb.devel.redhat.com/buildinfo?buildID=299892

rpm2cpio spice-server-0.12.0-12.el6_4.5.x86_64.rpm  | cpio -idmv

works fine, could you check the checksum/digest is same?

Could you give more precise instructions of what iso you downloaded or which yum repo etc? thanks
Comment 4 Kay Williams 2014-02-21 19:11:59 EST
Thank you for following up. I am no longer seeing this issue with current versions of spice-server, specifically spice-server-0.12.4-6.el6_5.1.x86_64. Please feel free to close.

Note You need to log in before you can comment on or make changes to this bug.